package com.zehong.system.mapper.track;

import java.util.List;
import com.zehong.system.domain.track.TProductStore;

/**
 * 配件Mapper接口
 * 
 * @author zehong
 * @date 2024-08-22
 */
public interface TProductStoreMapper 
{
    /**
     * 查询配件
     * 
     * @param id 配件ID
     * @return 配件
     */
    public TProductStore selectTProductStoreById(Long id);

    /**
     * 查询配件列表
     * 
     * @param tProductStore 配件
     * @return 配件集合
     */
    public List<TProductStore> selectTProductStoreList(TProductStore tProductStore);

    /**
     * 新增配件
     * 
     * @param tProductStore 配件
     * @return 结果
     */
    public int insertTProductStore(TProductStore tProductStore);

    /**
     * 修改配件
     * 
     * @param tProductStore 配件
     * @return 结果
     */
    public int updateTProductStore(TProductStore tProductStore);

    /**
     * 删除配件
     * 
     * @param id 配件ID
     * @return 结果
     */
    public int deleteTProductStoreById(Long id);

    /**
     * 批量删除配件
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteTProductStoreByIds(Long[] ids);
}
